PUT
Update Account Configuration

Path Parameters

account_id
string<uuid>
required

Account UUID

Body

application/json
account_name
string | null
daily_limit
string | null
Example:

"10000.00"

description
string | null
monthly_limit
string | null
Example:

"50000.00"

status
null | enum<string>

Account Status - Current status of the account

Available options:
PENDING,
ACTIVE,
SUSPENDED,
CLOSED
yearly_limit
string | null
Example:

"500000.00"

Response

Account updated successfully

Account - Core account entity

account_name
string
required
account_number
string
required
account_type
enum<string>
required

Account Type - Different types of accounts that can be created

Available options:
CURRENT,
SAVINGS,
ESCROW
available_balance
string
required
Example:

"1000.50"

client_id
string<uuid>
required
created_at
string<date-time>
required
currency
string
required
current_balance
string
required
Example:

"1000.50"

id
string<uuid>
required
opened_date
string<date-time>
required
reserved_balance
string
required
Example:

"0.00"

status
enum<string>
required

Account Status - Current status of the account

Available options:
PENDING,
ACTIVE,
SUSPENDED,
CLOSED
updated_at
string<date-time>
required
closed_date
string<date-time> | null
daily_limit
string | null
Example:

"10000.00"

description
string | null
external_account_id
string | null
last_activity_date
string<date-time> | null
monthly_limit
string | null
Example:

"50000.00"

yearly_limit
string | null
Example:

"500000.00"